
const fs = require("fs") ;

console.log ( "demo plugin loaded" ) ;

// Assigning to exports will not modify module, must use module.exports
module.exports = (options, ctx) => {
	console.log ( { options , ctx } ) ;
	console.log ( { pages : ctx.pages , sourceDir : ctx.sourceDir }) ;
	console.log ( { me : this} ) ;
	console.trace() ;
	
   	return {
		fruit : 'Banana' 
   	}
}
